Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jaxr.ebxmlrr
Interface EbxmlrrServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  EbxmlrrService

public interface EbxmlrrServiceMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getBindJaxr()` gets the JAXR ConnectionFactory.
`String` | `getDataSource()`
`String` | `getRegistryOperator()`
`boolean` | `getShouldBindJaxr()` gets the JAXR ConnectionFactory.
`boolean` | `isCreateOnStart()`
`boolean` | `isDropOnStart()`
`boolean` | `isDropOnStop()`
`boolean` | `isLoadNAICS()`
`boolean` | `isLoadUNSPSC()`
`void` | `setBindJaxr(String str)` Sets the JAXR ConnectionFactory.
`void` | `setCreateOnStart(boolean createOnStart)` Sets the createOnStart.
`void` | `setDataSourceUrl(String ds)` Sets the Datasource Url.
`void` | `setDropOnStart(boolean dropOnStart)` Sets the dropOnStart.
`void` | `setDropOnStop(boolean dropOnStop)` Sets the dropOnStop.
`void` | `setLoadNAICS(boolean ln)` Sets the dropOnStart.
`void` | `setLoadUNSPSC(boolean ln)` Sets the dropOnStart.
`void` | `setRegistryOperator(String ro)` Sets the RegistryOperator.
`void` | `setShouldBindJaxr(boolean str)` Sets the JAXR ConnectionFactory.

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### isDropOnStart

    public boolean isDropOnStart()

### setDropOnStart

    public void setDropOnStart(boolean dropOnStart)

  Sets the dropOnStart.

  Parameters:
    `dropOnStart` - The dropOnStart to set

### isDropOnStop

    public boolean isDropOnStop()

### setDropOnStop

    public void setDropOnStop(boolean dropOnStop)

  Sets the dropOnStop.

  Parameters:
    `dropOnStop` - The dropOnStop to set

### isCreateOnStart

    public boolean isCreateOnStart()

### setCreateOnStart

    public void setCreateOnStart(boolean createOnStart)

  Sets the createOnStart.

  Parameters:
    `createOnStart` - The createOnStart to set

### getDataSource

    public String getDataSource()

### setDataSourceUrl

    public void setDataSourceUrl(String ds)

  Sets the Datasource Url.

  Parameters:
    `ds` - The datasourceurl to set

### getRegistryOperator

    public String getRegistryOperator()

### setRegistryOperator

    public void setRegistryOperator(String ro)

  Sets the RegistryOperator.

  Parameters:
    `ro` - The datasourceurl to set

### isLoadNAICS

    public boolean isLoadNAICS()

### setLoadNAICS

    public void setLoadNAICS(boolean ln)

  Sets the dropOnStart.

  Parameters:
    `ln` - The loadNAICS to set

### isLoadUNSPSC

    public boolean isLoadUNSPSC()

### setLoadUNSPSC

    public void setLoadUNSPSC(boolean ln)

  Sets the dropOnStart.

  Parameters:
    `ln` - The loadUNSPSC to set

### setBindJaxr

    public void setBindJaxr(String str)

  Sets the JAXR ConnectionFactory.

  Parameters:
    `str` - The context to bind the Jaxr factory to set

### getShouldBindJaxr

    public boolean getShouldBindJaxr()

  gets the JAXR ConnectionFactory.

### setShouldBindJaxr

    public void setShouldBindJaxr(boolean str)

  Sets the JAXR ConnectionFactory.

  Parameters:
    `str` - Should a Jaxr Connection Factory bound

### getBindJaxr

    public String getBindJaxr()

  gets the JAXR ConnectionFactory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.